Subject: Re: [Drbd-dev] [PATCH] linux-next: 20090926 - drop autoconf.h from DRBD driver

From: Lars Ellenberg <[email-masked]>
Date: Mon, 28 Sep 2009 10:50:37 +0200

On Sun, Sep 27, 2009 at 12:53:31PM +1000, Stephen Rothwell wrote:
> Hi Greg, Philipp,
> 
> On Sat, 26 Sep 2009 22:08:39 +0200 Sam Ravnborg <[email-masked]> wrote:
> >
> > On Sat, Sep 26, 2009 at 11:01:43PM +0530, Kamalesh Babulal wrote:
> > > 
> > > 	next-20090926 allyesconfig build breaks on powerpc,
> > > 
> > > drivers/block/drbd/drbd_proc.c:26:28: error: linux/autoconf.h: No such file or directory
> > > make[3]: *** [drivers/block/drbd/drbd_proc.o] Error 1
> > > 
> > > dropping autoconf.h from drbd_proc.c helps. The cleanup patch drops the
> > > unneeded include autoconf.h.
> > > 
> > > Signed-off-by: Kamalesh Babulal <[email-masked]>
> > 
> > I only checked upstream - so this is no big suprise.
> > As there is no need to explicitly include autoconf.h this
> > change should be included by the drdb folks even if the
> > stuff I have does not hit upstream.
> 
> Maybe we should let them know (cc'd).

Thanks ;)
owed to our out-of-tree "backwards" compatibility for all 2.6 kernels
back to 2.6.5 (I think...).

includes have been dropped.

-- 
: Lars Ellenberg
: LINBIT | Your Way to High Availability
: DRBD/HA support and consulting http://www.linbit.com

DRBD® and LINBIT® are registered trademarks of LINBIT, Austria.
--
To unsubscribe from this list: send the line "unsubscribe linux-kbuild" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html